Bug 1373 - Oops when doing 'ls'.
Oops when doing 'ls'.
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: smbclient
3.0.3
All Linux
: P3 major
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-21 14:45 UTC by Charles McCabe
Modified: 2005-11-14 09:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Charles McCabe 2004-05-21 14:45:25 UTC
The system:
Linux cmccabe-fc2 2.6.5-1.358 #1 Sat May 8 09:04:50 EDT 2004 i686 i686 i386 GNU/Linux
Fedora Core 2 Test 3

The Samba:
RPM samba-3.0.3-5

Mount a share, cd to the mountpoint, do an 'ls'.  Terminal locks up, samba is complete 
hosed, can't 'kill -9'.  Won't umount during shutdown either.

Output from dmesg below:
================================================================================

smb_lookup: find //.Trash-cmccabe failed, error=-5
Unable to handle kernel NULL pointer dereference at virtual address 00000000
 printing eip:
00000000
*pde = 00000000
Oops: 0000 [#1]
CPU:    0
EIP:    0060:[<00000000>]    Not tainted
EFLAGS: 00210246   (2.6.5-1.358) 
EIP is at 0x0
eax: 056a7a80   ebx: 11757b90   ecx: 0214edcd   edx: 10d48fa0
esi: 1cd0c024   edi: 0335a180   ebp: 056a7a80   esp: 10d48f14
ds: 007b   es: 007b   ss: 0068
Process nautilus (pid: 3929, threadinfo=10d48000 task=12079230)
Stack: 24e38976 10d48f38 00000000 1cd0c000 11575754 1ce90e18 1bbee680 0214edcd 
       10d48fa0 00000000 005ad4b3 056a7a80 00000000 00000000 1cd0c000 00000002 
       00000000 00000000 00000001 00000004 00200246 24e40020 1ce90e80 056a7a80 
Call Trace:
 [<24e38976>] smb_readdir+0x346/0x3f1 [smbfs]
 [<0214edcd>] filldir64+0x0/0x12e
 [<0214eaba>] vfs_readdir+0x7a/0x9b
 [<0214edcd>] filldir64+0x0/0x12e
 [<0214ef60>] sys_getdents64+0x65/0xaa
 [<0214e26c>] generic_file_fcntl+0xd7/0x140

Code:  Bad EIP value.
Comment 1 Charles McCabe 2004-05-21 17:21:37 UTC
Upgraded to 3.0.4.  Problem seems to be gone.
Comment 2 Tim Potter 2004-05-23 03:30:39 UTC
Reporter says fixed.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:21:31 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:24:53 UTC
database cleanup